plugin provider fails to find current plugin version